# Uses of Enum Class
org.benf.cfr.reader.api.OutputSinkFactory.SinkClass

- ## Uses of OutputSinkFactory.SinkClass in org.benf.cfr.reader.api

  Methods in org.benf.cfr.reader.api that return OutputSinkFactory.SinkClass
  Modifier and Type
  Method
  Description
  `static OutputSinkFactory.SinkClass`
  OutputSinkFactory.SinkClass.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static OutputSinkFactory.SinkClass[]`
  OutputSinkFactory.SinkClass.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  Methods in org.benf.cfr.reader.api that return types with arguments of type OutputSinkFactory.SinkClass
  Modifier and Type
  Method
  Description
  `List<OutputSinkFactory.SinkClass>`
  OutputSinkFactory.`getSupportedSinks(OutputSinkFactory.SinkType sinkType, Collection<OutputSinkFactory.SinkClass> available)`
  Return the classes of sink that this sink factory can provide for the given sink type.
  Methods in org.benf.cfr.reader.api with parameters of type OutputSinkFactory.SinkClass
  Modifier and Type
  Method
  Description
  `<T> OutputSinkFactory.Sink<T>`
  OutputSinkFactory.`getSink(OutputSinkFactory.SinkType sinkType, OutputSinkFactory.SinkClass sinkClass)`
  CFR wishes to sink output - return an implementation of Sink that takes the appropriate input for the SinkClass being sunk, or null.
  Method parameters in org.benf.cfr.reader.api with type arguments of type OutputSinkFactory.SinkClass
  Modifier and Type
  Method
  Description
  `List<OutputSinkFactory.SinkClass>`
  OutputSinkFactory.`getSupportedSinks(OutputSinkFactory.SinkType sinkType, Collection<OutputSinkFactory.SinkClass> available)`
  Return the classes of sink that this sink factory can provide for the given sink type.